关闭

解决Eclipse+Pydev使用tornado框架应无法正确import tornado包错误

标签: importeclipse框架djangopython
2025人阅读 评论(0) 收藏 举报
分类:

配置好Eclipse+Pydev的环境,并且安装好了tornado2.2后,直接用eclipse打开tornado自带的demo,只要和tornado相关的import语句都提示错误。


可以正常运行,但是看着那么多红红的叉总觉得不爽,估计应该是pydev没有识别tornado的目录问题。于是搜了一下,居然有人说可以在"Window->Preferences->PyDev->Edito"的Code Analysis里设置成不报import错误。。这方法也太折中了,错误虽然不报了,但是tornado里包含什么模块也无法提示。


继续找也没发现什么头绪,试了下import之前安装的django不提示错误,django和tornado目录都是在F:\Program Files\Python22\Lib\site-packages(本人自己)目录下,唯一的区别是django是直接放在这个目录里,而tornado是放在一个tornado-2.2-py2.7.egg目录下,于是试着在"Window->Preferences->PyDev->Interpreter - Python"的Libraries里添加加了tornado-2.2-py2.7.egg目录,import不提示错误了。


0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:83653次
    • 积分:915
    • 等级:
    • 排名:千里之外
    • 原创:24篇
    • 转载:32篇
    • 译文:0篇
    • 评论:8条
    文章分类
    最新评论